> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get Countries

POST TBD/api/v2/get-countries

Retrieve a list of countries along with their corresponding details. This includes their ISO codes, capital, currency, as well as the various services supported within the country such as Wallet, Store Locator, Gift Cards, and Litt Visa. It also details the verification method and whether OTP is required for transactions.

### Request Body

No field requirement.

### Response

Each object in the response array consists of the following:

- `id` (Integer): The unique identifier assigned to the country.
    
- `name` (String): The country's recognized name.
    
- `iso3` (String): The ISO 3166-1 alpha-3 code for the country.
    
- `code` (String): The country's standard abbreviation.
    
- `phonecode` (Integer): The country's international phone code.
    
- `capital` (String): The country's capital city.
    
- `currency` (String): The country's official currency.
    
- `verification_method` (String): The preferred method of verification for the country which may take the form of either 'sms' or 'whatsapp'.
    
- `support_store_locator` (Boolean): Indicates whether the store locator service is supported in the country. Returns '1' if supported, otherwise '0'.
    
- `support_gift_cards` (Boolean): Indicates whether gift card services are supported in the country. Returns '1' if supported, otherwise '0'.
    
- `support_wallet` (Boolean): Indicates if the wallet service is supported in the country. Returns '1' if supported, otherwise '0'.
    
- `support_payout` (Boolean): Indicates if the payout service is supported in the country, Returns '1' if supported, otherwise '0'.
    
- `support_litt_visa` (Boolean): Indicates if the LITT VISA service is supported in the country. Returns '1' if supported, otherwise '0'.
    
- `require_otp` (Boolean): Details whether OTP is required for transactions in the country. Returns '1' if required, otherwise '0'.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/system-settings/get-countries

## Response

### 200

Get Countries

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (list of ApiV2GetCountriesPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV2GetCountriesPostResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional)
- `name` (string, optional)
- `iso3` (string, optional)
- `code` (string, optional)
- `phonecode` (integer, optional)
- `capital` (string, optional)
- `currency` (string, optional)
- `verification_method` (string, optional)
- `support_store_locator` (integer, optional)
- `support_gift_cards` (integer, optional)
- `support_wallet` (integer, optional)
- `support_payout` (integer, optional)
- `support_litt_visa` (integer, optional)
- `require_otp` (integer, optional)

## Examples

**Response**

```json
{
  "message": "Success",
  "api": "get-countries",
  "status": "success",
  "data": [
    {
      "id": 14,
      "name": "Australia",
      "iso3": "AUS",
      "code": "AU",
      "phonecode": 61,
      "capital": "Canberra",
      "currency": "AUD",
      "verification_method": "whatsapp",
      "support_store_locator": 1,
      "support_gift_cards": 1,
      "support_wallet": 1,
      "support_payout": 0,
      "support_litt_visa": 1,
      "require_otp": 0
    },
    {
      "id": 102,
      "name": "Indonesia",
      "iso3": "IDN",
      "code": "ID",
      "phonecode": 62,
      "capital": "Jakarta",
      "currency": "IDR",
      "verification_method": "sms",
      "support_store_locator": 1,
      "support_gift_cards": 1,
      "support_wallet": 1,
      "support_payout": 0,
      "support_litt_visa": 0,
      "require_otp": 0
    },
    {
      "id": 182,
      "name": "Russia",
      "iso3": "RUS",
      "code": "RU",
      "phonecode": 7,
      "capital": "Moscow",
      "currency": "RUB",
      "verification_method": "sms",
      "support_store_locator": 1,
      "support_gift_cards": 0,
      "support_wallet": 0,
      "support_payout": 0,
      "support_litt_visa": 0,
      "require_otp": 0
    },
    {
      "id": 233,
      "name": "United States",
      "iso3": "USA",
      "code": "US",
      "phonecode": 1,
      "capital": "Washington",
      "currency": "USD",
      "verification_method": "sms",
      "support_store_locator": 1,
      "support_gift_cards": 1,
      "support_wallet": 1,
      "support_payout": 0,
      "support_litt_visa": 1,
      "require_otp": 1
    }
  ]
}
```

**SDK Code**

```python System Settings_getCountries_example
import requests

url = "https://tbd/api/v2/get-countries"

response = requests.post(url)

print(response.json())
```

```javascript System Settings_getCountries_example
const url = 'https://tbd/api/v2/get-countries';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go System Settings_getCountries_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/get-countries"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby System Settings_getCountries_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/get-countries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java System Settings_getCountries_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/get-countries")
  .asString();
```

```php System Settings_getCountries_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/get-countries');

echo $response->getBody();
```

```csharp System Settings_getCountries_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/get-countries");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift System Settings_getCountries_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/get-countries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```